#ifndef XANIMDELTAPART_H
#define XANIMDELTAPART_H

#include "xasset.h"
#include "xanimparttrans.h"
#include "xanimdeltapartquat.h"

class XAnimDeltaPart : public XAsset
{
public:
    explicit XAnimDeltaPart();
    ~XAnimDeltaPart();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

    const XAnimPartTrans& GetTrans() const;
    void SetTrans(const XAnimPartTrans& trans);

    const XAnimDeltaPartQuat& GetQuat() const;
    void SetQuat(const XAnimDeltaPartQuat& quat);

private:
    XAnimPartTrans mTrans;
    XAnimDeltaPartQuat mQuat;
};

#endif // XANIMDELTAPART_H





